| Flutter iOS Embedder |

Classes | Namespaces | Typedefs | Functions | Variables
FlutterViewController_Internal.h File Reference
`#import "flutter/shell/platform/darwin/ios/framework/Headers/FlutterViewController.h"`
`#include "flutter/fml/time/time_point.h"`
`#import "flutter/shell/platform/darwin/ios/InternalFlutterSwift/InternalFlutterSwift.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterKeySecondaryResponder.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterKeyboardManager.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterPlatformViewsController.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterRestorationPlugin.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterViewResponder.h"`

Go to the source code of this file.

## Namespaces
| flutter

## Typedefs
typedef void(^ | FlutterKeyboardAnimationCallback) (fml::TimePoint)

## Functions
typedef | NS_ENUM (NSInteger, FlutterKeyboardMode)

## Variables
FLUTTER_DARWIN_EXPORT NSNotificationName const | FlutterViewControllerWillDealloc
FLUTTER_DARWIN_EXPORT NSNotificationName const | FlutterViewControllerHideHomeIndicator
FLUTTER_DARWIN_EXPORT NSNotificationName const | FlutterViewControllerShowHomeIndicator

## Typedef Documentation

## ◆ FlutterKeyboardAnimationCallback

typedef void(^ FlutterKeyboardAnimationCallback) (fml::TimePoint)

Definition at line 43 of file FlutterViewController_Internal.h.

## Function Documentation

## ◆ NS_ENUM()

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterKeyboardMode |
| ) |  |

Definition at line 35 of file FlutterViewController_Internal.h.

35 {
36 // NOLINTBEGIN(readability-identifier-naming)
37 FlutterKeyboardModeHidden = 0,
38 FlutterKeyboardModeDocked = 1,
39 FlutterKeyboardModeFloating = 2,
40 // NOLINTEND(readability-identifier-naming)
41 };

## Variable Documentation

## ◆ FlutterViewControllerHideHomeIndicator

FLUTTER_DARWIN_EXPORT NSNotificationName const FlutterViewControllerHideHomeIndicator
| extern

Definition at line 49 of file FlutterViewController.mm.

## ◆ FlutterViewControllerShowHomeIndicator

FLUTTER_DARWIN_EXPORT NSNotificationName const FlutterViewControllerShowHomeIndicator
| extern

Definition at line 51 of file FlutterViewController.mm.

## ◆ FlutterViewControllerWillDealloc

FLUTTER_DARWIN_EXPORT NSNotificationName const FlutterViewControllerWillDealloc
| extern

Definition at line 48 of file FlutterViewController.mm.